# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Handle pre-releases
%global alpha_version a07
%if 0%{?alpha_version:1}
%define alpha_url /alpha
%endif

Name:		cdrtools
Epoch:		10
Version:	3.01
Release:	0.1.%{?alpha_version}.%{__distinit}%{__distvers}
Summary:	CD/DVD/BluRay command line recording software
Group:		Applications/Archiving
License:	CDDL
URL:		http://cdrecord.berlios.de/private/cdrecord.html
Source0:	ftp://ftp.berlios.de/pub/cdrecord%{?alpha_url}/%{name}-%{version}%{?alpha_version}.tar.bz2
Patch0:		cdrecord-default.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# The following buildreq is supplied by gettext-devel in current
# distributions, and by gettext in older distributions
BuildRequires:	/usr/share/aclocal/iconv.m4

%description
A set of command line programs for preparing and recording CD/DVD/BluRay media.

%package -n cdrecord
Summary:	Creates an image of an ISO9660 file system
Group:		Applications/Archiving
Obsoletes:	wodim < %{epoch}:
Provides:	wodim = %{epoch}:

%description -n cdrecord
A set of command line programs for recording CD/DVD/BluRay media.

%package -n mkisofs
Summary:	Creates an image of an ISO9660 file system
Group:		Applications/Archiving
Obsoletes:	genisoimage < %{epoch}:
Provides:	genisoimage = %{epoch}:

%description -n mkisofs
Create hybrid ISO9660/JOLIET/HFS file systems with Rock Ridge attributes.

%package -n cdda2wav
Summary:	A CD-Audio Grabbing tool
Group:		Applications/Multimedia
Obsoletes:	icedax < %{epoch}: 
Provides:	icedax = %{epoch}:

%description -n cdda2wav
The most evolved CD-audio extraction program with paranoia support.

%package -n btcflash
Summary:	Firmware flash utility for BTC DRW1008 DVD+/-RW recorder
Group:		Applications/System

%description -n btcflash
This is a firmware flash utility for BTC DRW1008 DVD+/-RW recorders.

%prep
%setup -q
%patch0 -p0 -b .cdrecord-default

# Use UTF-8 encoding everywhere rather than ISO-8859-1
for i in $(find . -name "*.c") $(find . -name "*.1") $(find . -name "*.8") \
	cdda2wav/{README,THANKS} cdrecord/README* BUILD ABOUT INSTALL \
	CONTRIBUTING Changelog COMPILE AN-* mkisofs/ChangeLog; do
	iconv -f iso-8859-1 $i -t utf-8 -o $i.new && mv -f $i.new $i
done

# Avoid RPATH
sed -i -e 's@-R$(INS_BASE)/lib -R/opt/schily/lib@@g' DEFAULTS/* DEFAULTS_ENG/*

%build
export CFLAGS="%{optflags}"

# Parallel build is still broken in 3.01 alpha 7
make \
	GMAKE_NOWARN=true \
	INS_BASE=%{_prefix} \
	INS_RBASE=/ \
	MANDIR=man \
	COPTX=-g \
	LDOPTX=-g \
	RUNPATH=

%install
rm -rf %{buildroot}
make \
	GMAKE_NOWARN=true \
	INS_BASE=%{_prefix} \
	INS_RBASE=/ \
	MANDIR=man \
	DESTDIR=%{buildroot} \
	install

# Remove files we don't want packaged
rm -rf %{buildroot}/usr/lib/lib*.a
rm -rf %{buildroot}/usr/lib/profiled
rm -rf %{buildroot}%{_docdir}
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%files -n cdrecord
%defattr(-,root,root,-)
%doc cdrecord/README* ABOUT AN* CDDL.Schily.txt Changelog* CONTRIBUTING COPYING GPL-2.0.txt LGPL-2.1.txt START
%config(noreplace) /etc/default/cdrecord
%config(noreplace) /etc/default/rscsi
%{_mandir}/man1/cdrecord.1*
%{_mandir}/man1/readcd.1*
%{_mandir}/man1/scgcheck.1*
%{_mandir}/man1/rscsi.1*
%{_mandir}/man1/scgskeleton.1*
%attr(4755, root, root) %{_bindir}/cdrecord
%{_bindir}/scgcheck
%{_bindir}/scgskeleton
%attr(4755, root, root) %{_bindir}/readcd
%attr(4755, root, root) %{_sbindir}/rscsi

%files -n btcflash
%defattr(-,root,root,-)
%{_mandir}/man1/btcflash.1*
%{_bindir}/btcflash

%files -n mkisofs
%defattr(-,root,root,-)
%doc mkisofs/ChangeLog mkisofs/ChangeLog.mkhybrid mkisofs/COPYING mkisofs/RELEASE mkisofs/TODO mkisofs/README*
/usr/lib/siconv/
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%{_bindir}/isoinfo
%{_bindir}/devdump
%{_bindir}/isodump
%{_bindir}/isovfy
%{_bindir}/isodebug
%{_mandir}/man8/devdump.8*
%{_mandir}/man8/isodebug.8*
%{_mandir}/man8/isodump.8*
%{_mandir}/man8/isoinfo.8*
%{_mandir}/man8/isovfy.8*
%{_mandir}/man8/mkhybrid.8*
%{_mandir}/man8/mkisofs.8*

%files -n cdda2wav
%defattr(-,root,root,-)
%doc cdda2wav/FAQ cdda2wav/HOWTOUSE cdda2wav/NEEDED cdda2wav/TODO cdda2wav/THANKS cdda2wav/README
%{_mandir}/man1/cdda2wav.1*
%{_mandir}/man1/cdda2mp3.1*
%{_mandir}/man1/cdda2ogg.1*
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%attr(4755, root, root) %{_bindir}/cdda2wav

%changelog
* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a07
- Update to 3.01 alpha release 7

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a06
- Import from Simone Caronni's package (see history at #507108)
- Update to 3.01 alpha release 6
- Drop devel package
- Disable parallel build, which has broken since alpha 5
- Replace gettext-devel buildreq with /usr/share/aclocal/iconv.m4, for
  support of ancient distributions prior to gettext/gettext-devel split

* Mon Jun 06 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a05.1
- Updated

* Mon May 09 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a04.1
- Updated

* Tue Mar 15 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a03.1
- Updated

* Tue Feb 08 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a02.1
- Updated

* Fri Dec 10 2010 Simone Caronni <negativo17@gmail.com> - 10:3.01-a01.2
- Fixed rpmlint errors

* Tue Dec 07 2010 Simone Caronni <negativo17@gmail.com> - 10:3.01-a01.1
- Updated to 3.01a01

* Mon Nov 29 2010 Simone Caronni <negativo17@gmail.com> - 10:3.00-4
- Remove linker paths
- Add setuid for cdda2wav, readcd and rscsi

* Fri Nov 26 2010 Roman Rakus <rrakus@redhat.com> - 10:3.00-2
- Fixed some rpmlint errors and warnings

* Thu Nov 25 2010 Simone Caronni <negativo17@gmail.com> - 10:3.00-1
- First build:
  - Patch default device to match standard Fedora behaviour: the first cdrom
    device set up by udev can be used without parameters
  - Recode everything from ISO-8859-1 to UTF-8
  - Obsoletes cdrkit but provides its components for anaconda, etc.
  - Epoch set to 10 to avoid loop problems with yum
